<!DOCTYPE html>
<html lang="en">
<head>
    {% include "head.html" %}
</head>
<body class="login-page sidebar-collapse">
    <nav class="navbar navbar-expand-lg navbar-absolute navbar-transparent fixed-top" data-default-bg="navbar-transparent">
        <div class="container-fluid">
            <div class="navbar-wrapper">
                <a class="navbar-brand">{{ request.appserver_name|normalize|title }}</a>
            </div>
            <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#top-nav" aria-controls="top-nav" aria-expanded="false" aria-label="Toggle Top Navbar">
                <span class="navbar-toggler-bar bar1"></span>
                <span class="navbar-toggler-bar bar2"></span>
                <span class="navbar-toggler-bar bar3"></span>
            </button>
            <div id="top-nav" class="collapse navbar-collapse justify-content-end">
                <ul class="navbar-nav text-center">
                    {% include "menus/top-login.html" %}
                </ul>
            </div>
        </div>
    </nav>
    <div class="page-header" filter-color="orange">
        <div class="page-header-image"></div>
        <div class="container">
            <div class="col-md-4 content-center">
                <div class="card card-login card-plain">
                    <form class="form" method="POST" action="{{ url_for('login.submit') }}" autocomplete="off">
                        <input type="hidden" name="{{ session['csrf_key'] }}" value="{{ session['csrf_token'] }}" />
                        <div class="header header-primary text-center">
                            <div class="logo-container">
                                <img src="{{ url_for('static', filename='img/banner.png') }}" alt="{{ request.appserver_name|normalize|title }}" />
                            </div>
                            <div class="alert-container">
                                {% with messages = get_flashed_messages() %}
                                    {% if messages %}
                                        {%- import "common/macros/generic.html" as mg -%}
                                        {% for message in messages %}
                                            {{ mg.alert(message) }}
                                        {% endfor %}
                                    {% endif %}
                                {% endwith %}
                            </div>
                        </div>
                        <div class="content">
                            <div class="input-group no-border form-control-lg">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="fa fa-user"></i></div>
                                </div>
                                <input type="text" name="username" class="form-control" placeholder="Username" aria-label="Username" required />
                            </div>
                            <div class="input-group no-border form-control-lg">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="fa fa-lock"></i></div>
                                </div>
                                <input type="password" name="password" class="form-control" placeholder="Password" aria-label="Password" required />
                            </div>
                        </div>
                        <div class="footer text-center">
                            <button type="submit" class="invisible"></button>
                            <button type="button" class="btn btn-primary btn-round btn-lg btn-block" data-style="slide-right" data-submit-form="form"><span class="ladda-label">Login</span></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include "scripts.html" %}
    <script type="text/javascript" charset="utf-8">
        $('.form-control').on('focus', function() {
            $(this).parent('.input-group').addClass('input-group-focus');
        }).on('blur', function() {
            $(this).parent('.input-group').removeClass('input-group-focus');
        });

        $dom.document.on('keypress', function(e) {
            if (e.keyCode == 13) {
                $('form [data-submit-form]').trigger('click');
            }
        });

        $dom.document.ready(function() {
            $('input[name="username"]').trigger('focus');
        });
    </script>
</body>
</html>
